public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/typhoeus/
Date: Wed, 14 Oct 2015 05:13:40 +0000 (UTC)	[thread overview]
Message-ID: <1444799117.ecebab3fe7a480b58aaec5b0afc4c16c4da98ad2.graaff@gentoo> (raw)

commit:     ecebab3fe7a480b58aaec5b0afc4c16c4da98ad2
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 14 05:05:17 2015 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Oct 14 05:05:17 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ecebab3f

dev-ruby/typhoeus: add 0.8.0

Package-Manager: portage-2.2.20.1

 dev-ruby/typhoeus/Manifest              |  1 +
 dev-ruby/typhoeus/typhoeus-0.8.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ruby/typhoeus/Manifest b/dev-ruby/typhoeus/Manifest
index 629f0a7..6f622d1 100644
--- a/dev-ruby/typhoeus/Manifest
+++ b/dev-ruby/typhoeus/Manifest
@@ -1 +1,2 @@
 DIST typhoeus-0.7.3.gem 51712 SHA256 13d1b1056fcb559d571da52fb13387797ff7b4f99ea157a7ef80e121e9356061 SHA512 2c837504cc81ee3131e5c0cfdd2da6ef123624ee166063ca749d9e001714aa45514d103229eb1d3c42e756acefa83697cd74d856e07ee584d5b5834d67a173b5 WHIRLPOOL ec10bb9a48428abc7c3afa63fc4f20c98b0eca41ab06dee4b28f9480d677b20e1b78080d349a6fa31717790d884eb19d035184756246fe315eb0e321d81a9011
+DIST typhoeus-0.8.0.gem 52224 SHA256 28b7cf3c7d915a06d412bddab445df94ab725252009aa409f5ea41ab6577a30f SHA512 e9e65bd1a912ee2c5f0e2026a478ccdbc7f7d34289a24849b23a03b64dea875bc81335a3206d8ee38acc36accaf98bfaf733574768bb54df4a0dd9945d9f1fa8 WHIRLPOOL adfcad38b4f7b35c4001836be05b895cc6e825311aa1119522a111d0acf5f4dbb4ea95619188798ade224013a5b268f2a6bc7642a649e828645ed0818212c9a6

diff --git a/dev-ruby/typhoeus/typhoeus-0.8.0.ebuild b/dev-ruby/typhoeus/typhoeus-0.8.0.ebuild
new file mode 100644
index 0000000..b7fac48
--- /dev/null
+++ b/dev-ruby/typhoeus/typhoeus-0.8.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md UPGRADE.md"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Runs HTTP requests in parallel while cleanly encapsulating handling logic"
+HOMEPAGE="http://rubygems.org/gems/typhoeus/"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/ethon-0.8.0"
+
+ruby_add_bdepend "test? ( dev-ruby/json >=dev-ruby/faraday-0.9 >=dev-ruby/sinatra-1.3 )"
+
+all_ruby_prepare() {
+	sed -e '/bundler/I s:^:#:' -i Rakefile spec/spec_helper.rb || die
+}


             reply	other threads:[~2015-10-14  5:13 UTC|newest]

Thread overview: 39+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-14  5:13 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-01  8:09 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/typhoeus/ Hans de Graaff
2024-02-20  5:53 Hans de Graaff
2024-02-18  6:59 Hans de Graaff
2023-12-24  8:19 Hans de Graaff
2023-01-10  6:40 Hans de Graaff
2023-01-10  6:40 Hans de Graaff
2022-12-24  6:35 Sam James
2022-12-24  6:35 Sam James
2022-12-24  6:35 Sam James
2022-12-03  7:13 Hans de Graaff
2022-07-30  8:22 Hans de Graaff
2022-03-20 10:04 Hans de Graaff
2021-12-26 17:52 Jakov Smolić
2020-05-10  5:50 Hans de Graaff
2020-05-09  9:20 Hans de Graaff
2020-05-09  9:20 Hans de Graaff
2019-04-11 17:46 Hans de Graaff
2019-02-16 23:52 Robin H. Johnson
2019-02-16 23:52 Robin H. Johnson
2018-11-13  5:34 Hans de Graaff
2018-06-30  9:56 Hans de Graaff
2018-04-19 19:53 Hans de Graaff
2018-04-19 19:53 Hans de Graaff
2018-03-27 21:38 Aaron Bauman
2017-08-22  4:09 Hans de Graaff
2017-03-05  8:42 Hans de Graaff
2017-03-05  8:42 Hans de Graaff
2017-03-05  8:42 Hans de Graaff
2016-12-13  6:35 Hans de Graaff
2016-12-13  6:35 Hans de Graaff
2016-08-05 15:19 Christoph Junghans
2016-07-24  6:42 Hans de Graaff
2016-04-30  5:36 Hans de Graaff
2016-04-30  5:36 Hans de Graaff
2016-04-17 10:38 Manuel Rüger
2016-02-28  6:23 Hans de Graaff
2015-10-14  5:13 Hans de Graaff
2015-08-09  5:51 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1444799117.ecebab3fe7a480b58aaec5b0afc4c16c4da98ad2.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox